Camille1
Aerospace
- Mar 25, 2005
- 12
Hi all
I have a CATPart with an Open.Body that has a several items, and I am trying to collect the items that are only points. Several points are renamed. I tried to use GeometricElements class but it just return the sketch elements such as points, line, etc.. Can some one help me with this?
Thanks in advance
Sub CATMain ()
Dim Document1 as Document
Set Document1 = CATIA.ActiveDocument
Dim part1 as part
set part1 = Document1.Part
dim hybridbody1 as hybridbody
set hybridbody1 = part1.hybridbody
dim GeometricElement1 As GeometricElement
For i = 1 to hybridbody1.GeometricElements.Count
SetGeometricElement1=
hybridbody1.GeometricElements.item(i)
Next
End Sub
I have a CATPart with an Open.Body that has a several items, and I am trying to collect the items that are only points. Several points are renamed. I tried to use GeometricElements class but it just return the sketch elements such as points, line, etc.. Can some one help me with this?
Thanks in advance
Sub CATMain ()
Dim Document1 as Document
Set Document1 = CATIA.ActiveDocument
Dim part1 as part
set part1 = Document1.Part
dim hybridbody1 as hybridbody
set hybridbody1 = part1.hybridbody
dim GeometricElement1 As GeometricElement
For i = 1 to hybridbody1.GeometricElements.Count
SetGeometricElement1=
hybridbody1.GeometricElements.item(i)
Next
End Sub